Package org.firebirdsql.jdbc.field

## Class JDBC42ObjectConverter

- java.lang.Object
- - org.firebirdsql.jdbc.field.JDBC42ObjectConverter

    public class JDBC42ObjectConverter
    extends java.lang.Object

Implementation of `ObjectConverter` to support JDBC 4.2 type conversions.

Since:
  2.2
Author:
  Mark Rotteveel

### Constructor Summary

Constructors
`JDBC42ObjectConverter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`<T> T` `getObject​(FBField field, java.lang.Class<T> type)`
`boolean` `setObject​(FBField field, java.lang.Object object)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JDBC42ObjectConverter

    public JDBC42ObjectConverter()

### Method Detail

#### setObject

    public boolean setObject​(FBField field,
                             java.lang.Object object)
                      throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getObject

    public <T> T getObject​(FBField field,
                           java.lang.Class<T> type)
                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`